Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	GNOME Power Manager
Name:		gnome-power-manager
Version:	2.28.1
Release:	1
BuildArch:	i686
License:	GNU/GPL
Group:		System/Configuration/Hardware
Source:		gnome-power-manager-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: 		http://gnome-power.sourceforge.net/

Requires(post): scrollkeeper
Requires(pre): GConf
Requires(post): GConf
Requires(preun): GConf
Requires(postun): scrollkeeper

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: atk-devel
BuildRequires: audiofile-devel
BuildRequires: avahi-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: esound-libs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnome-keyring-devel
BuildRequires: gnome-panel-libs gnome-panel-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gtk2+-devel
BuildRequires: hal-devel
BuildRequires: libart_lgpl-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcanberra-devel
BuildRequires: libcanberra-gtk2
BuildRequires: libglade-devel
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel
BuildRequires: libICE-devel
BuildRequires: libnotify-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libunique-devel
BuildRequires: libvorbis-devel
BuildRequires: libwnck-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXres-devel
BuildRequires: openssl-devel
BuildRequires: ORBit2-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: popt-devel which
BuildRequires: startup-notification-devel DeviceKit-power-devel libsmbios-devel libusb-devel
BuildRequires: zlib-devel gnome-doc-utils polkit-devel polkit-gnome-devel eggdbus-devel

%description
GNOME Power Manager uses the information and facilities provided by HAL 
displaying icons and handling user callbacks in an interactive GNOME session. 
GNOME Power Preferences allows authorised users to set policy and 
change preferences.

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas >/dev/null || :
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnome-power-manager.schemas > /dev/null || :
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%prep
%setup -q

%build
%configure \
--disable-scrollkeeper \
--disable-schemas-install
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir
%_libexecdir/gnome-brightness-applet
%_libexecdir/gnome-inhibit-applet
%_datadir/gnome-power-manager
%_mandir
%_sysconfdir/gconf/schemas
%_sysconfdir/xdg/autostart
%_datadir/dbus-1/services/gnome-power-manager.service
%_applications
%_datadir/icons
%_libdir/bonobo/servers/GNOME_BrightnessApplet.server
%_libdir/bonobo/servers/GNOME_InhibitApplet.server
%_datadir/gnome-2.0/ui/GNOME_BrightnessApplet.xml
%_datadir/gnome-2.0/ui/GNOME_InhibitApplet.xml

%changelog
* Wed Nov 25 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Version update
* Mon Apr 05 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Version update
* Sun Jan 11 2009 Christian Metzen <metzench@ccux-linux.de> 2.24.2-1
- Version update
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Version update
* Thu Mar 13 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Tue Nov 27 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Version update
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Tue Mar 20 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 17 2006 Christian Metzen <metzench@ccux-linux.de> 2.17.2.1-1
- Initial release